Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTextComponentOperator.NoSuchTextException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.JemmyInputException
                                    |
                                    +--org.netbeans.jemmy.operators.JTextComponentOperator.NoSuchTextException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JTextComponentOperator

public class JTextComponentOperator.NoSuchTextException
extends JemmyInputException

Can be throught during a text operation if text has not been found in the component.

See Also:
  Serialized Form

Constructor Summary
`JTextComponentOperator.NoSuchTextException(java.lang.String text)` Constructor.

Methods inherited from class org.netbeans.jemmy.JemmyInputException
`getComponent`

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JTextComponentOperator.NoSuchTextException

    public JTextComponentOperator.NoSuchTextException(java.lang.String text)

  Constructor.
  Parameters:
    `text` - a nonexistent text.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD